Subject: Re: [X2Go-Dev] Bug#1200: Bug#1200: Bug#1200: Environment variables not set

From: Bruno CAPELETO <[email-masked]>
Date: Thu, 10 Aug 2017 21:52:04 +0200

>
> >> > 1. Whatever the client (Windows or Linux 4.0.3.1-4), the local
> >> > environment
> >> > variables are not set properly and the software - which needs French
> >> > localization - crashes. That could be "solved" the following way :
> >> > /etc/x2go/Xsession :
> >>
> >> Hmm, the environment is usually set by the system. Is a local session
> >> working properly?
> >>
> > Yes, local sessions are working properly.
> >
> >>
> >> An application that crashes because of missing locale vars is 100%
> buggy.
> >
> >
> > Let's say 80% buggy :-)
>
>
> No, that's for sure a bug. No application may crash because of missign
> env variables. Never!
>

The issue is coma : "." in English and "," in French. So the MySQL requests
fail and crash the software. But that is not the issue we should focus on
in this mailing list.
The issue is that the environment variables are not set correctly : in a
local session it starts in French (as it should), but in the x2go session
in starts in English.

>
> >> > 2. At the start of a new session, one gets a windows with an error
> >> > message
> >> > "No session for pid ..." ; that bug has already been reported several
> >> > times
> >> > in x2go bug tracking and marked as solved. Actually it is not on my
> >> > brand
> >> > new system.
> >>
> >> I have no idea about this, except: Maybe there are some relicts of a
> >> previous version of x2go. It could help to manually remove all nx and
> >> x2go related packages completely, clean the filesystem for remains and
> >> retry,
> >
> >
> > I mixed it out : it was reported in LXDE mailing list. In my case it
> happens
> > only in combination with x2go (fresh install, without any nx mixup).
>
> So this happens only when starting an LXDE session?
>

Yes, this is related to LXDE. But once more, only in combination with x2go
: on the local station I do not have this error when I start a LXDE session.
Because LXDE is so light, it is very well adapted for remote desktop ; so
it is definitely a first choice for a combination with x2go.

> >> > 3. The single application mode does not work with some of the
> >> > applications,
> >> > including that Laurux / Gambas. For example it works with
> >> > /usr/bin/leafpad,
> >> > but /usr/bin/libreoffice makes the x2go session crash.
> >>
> >> There are applications that fork themselves and return immediately,
> >> which in turn causes the session to close down because there's no
> >> client left. Please check if running xterm in single application mode
> >> and starting those applications from there is working.
> >
> >
> > x2go full session : xterm then /usr/bin/libreoffice -> works
> > x2go single application mode /usr/bin/xterm -> got the xterm, but typing
> > /usr/bin/libreoffice closes the session
>
> Really during typing, before pressing enter? That's very weird.
>

Sorry I should have said "after typing" : when I press enter, libreoffice
starts loading, and suddenly I am ejected from the x2go session.

Bruno